---
url: https://hypha.earth
---

# Hypha.earth

Team building [SEEDS](joinseeds.earth.md). Looks like they are doing a fund-raising round in early 2022 seeking $10m raise at $100m valuation (afaict from [the deck](https://assets.hypha.earth/decks/hypha_pitch_deck.pdf))


![[Pasted image 20220120220845.png]]


## Members

https://dho.hypha.earth/#/members

## Pitch Deck

  ![[hypha_pitch_deck.pdf]]